import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

public class Match extends Actor
{
    private GreenfootImage img = new GreenfootImage(7, 50);
    private boolean hidden = false;
    
    public Match() {
        img.setColor(Color.yellow);
        img.fill();
        img.setColor(Color.red);
        img.fillRect(0, 0, 7, 10);
        setImage(img);
    }
    
    public void hide() {
        int opaque = 255;
        for(int i=opaque; i > 0; i--) {
            img = getImage();
            img.setTransparency(i);
            if(i % 15 == 0) {
                Greenfoot.delay(1);
            }
        }
        hidden = true;
    }       
    
    public boolean isHidden() {
        return hidden;
    }
}
