import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Player extends Actor
{
    private GreenfootImage img = new GreenfootImage(10, 10);
    private MouseInfo mouse;
    private int removed = 0;
    
    public Player() {
        setImage(img);
    }
        
        
    public void act() {
        if(((NimWorld) getWorld()).turn()) {
            follow();
            if(Greenfoot.mouseClicked(this)) {              
                Match m = (Match) getOneIntersectingObject(Match.class);
                if(m != null && !m.isHidden() && removed < 3) {                   
                    removed++;
                    m.hide();
                }                    
            }
        }
    }
    
    private void follow() {
        if(Greenfoot.mouseMoved(null)) {
            mouse = Greenfoot.getMouseInfo();
            setLocation(mouse.getX(), mouse.getY());
        }
    }

    public void reset() {
        removed = 0;
    }
}
